AOWP_PHPReturnStatementElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPReturnStatementElement
/parser/ast/PHPReturnStatementElement.class.php at line 19

# Class AOWP_PHPReturnStatementElement

    AOWP_PHPElement
        └─AOWP_PHPReturnStatementElement

public class AOWP_PHPReturnStatementElement
extends AOWP_PHPElement

PHPReturnStatementElement PHPのASTにおける「return」を表すクラス 文法規則: unticked_statement

Author:
  Ryoto Naruse /

Field Summary
AOWP_PHPElement | $expr return $var; のときは、{@link AOWP_PHPVariableElement}。 return $obj->method(); のときは、{@link AOWP_PHPObjectOperatorElement}。

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPReturnStatementElement(mixed _line, mixed expr)

Method Summary
void | __toString()
void | kind()
unknown_type | setVariableExpr(string variableName)

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPReturnStatementElement.class.php at line 32

### expr

`public AOWP_PHPElement $expr`

`return $var;` のときは、`AOWP_PHPVariableElement`。 `return $obj->method();` のときは、`AOWP_PHPObjectOperatorElement`。

## Constructor Detail

/parser/ast/PHPReturnStatementElement.class.php at line 34

### AOWP_PHPReturnStatementElement

`public AOWP_PHPReturnStatementElement(mixed _line, mixed expr)`

## Method Detail

/parser/ast/PHPReturnStatementElement.class.php at line 49

### __toString

`public void __toString()`

/parser/ast/PHPReturnStatementElement.class.php at line 53

### kind

`public void kind()`

/parser/ast/PHPReturnStatementElement.class.php at line 44

### setVariableExpr

`public unknown_type setVariableExpr(string variableName)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr